List site file backups
List all the site file backups.
GET/api/backups/file
List site file backups
This endpoint allows you to retrieve a list of all site file backups.
Optional query parameters
- Name
server- Type
- integer
- Description
Only return backups for sites on this server id.
- Name
site- Type
- integer
- Description
Only return backups for this site id.
- Name
per_page- Type
- integer
- Description
The amount of backups to return per page, defaults to 15 with a maximum of 50.
Request
GET
/api/backups/filecurl -X GET "https://ploi.io/api/backups/file" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-H "Accept: application/json"
Response
{
"data": [
{
"id": 1,
"status": "active",
"label": "My AWS provider",
"type": "aws-s3",
"type_human": "AWS S3",
"path": "/home/ploi/ploi.info",
"remote_path": "/",
"locations": null,
"interval": "daily",
"table_exclusions": null,
"keep_backup_amount": 5,
"active": 0,
"server_id": null,
"site": {
"id": 1,
"root_domain": "ploi.info"
},
"last_backup_at": "2024-08-02 00:00:00",
"created_at": "2024-07-18 00:00:00"
}
],
"links": {
"first": "https://ploi.io/api/backups/file?page=1",
"last": "https://ploi.io/api/backups/file?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "«",
"active": false
},
{
"url": "https://ploi.io/api/backups/file?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "»",
"active": false
}
],
"path": "https://ploi.io/api/backups/file",
"per_page": 15,
"to": 2,
"total": 2
}
}